"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delay = void 0;
const log_1 = require("./log");
function delay(ms) {
    return new Promise(function (resolve) {
        log_1.out.info(`delaying ${ms}ms...`);
        return setTimeout(resolve, ms);
    });
}
exports.delay = delay;
