"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUser = void 0;
const response_1 = require("./response");
exports.getUser = (isOnline, claim) => (event) => {
    if (isOnline && event.requestContext.authorizer && event.requestContext.authorizer.claims[claim || 'sub']) {
        return event.requestContext.authorizer.claims[claim || 'sub'];
    }
    if (event.requestContext.authorizer && event.requestContext.authorizer.principalId) {
        return event.requestContext.authorizer.principalId;
    }
    throw response_1.response(response_1.UNAUTHORIZED_401);
};
