"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUsername = void 0;
const response_1 = require("./response");
exports.getUsername = (isOnline) => (event) => {
    if (isOnline && event.requestContext.authorizer && event.requestContext.authorizer.claims['cognito:username']) {
        return event.requestContext.authorizer.claims['cognito:username'];
    }
    if (!isOnline && event.requestContext.authorizer && event.requestContext.authorizer.principalId) {
        return event.requestContext.authorizer.principalId;
    }
    throw response_1.response(response_1.UNAUTHORIZED_401);
};
