import { APIGatewayEvent } from 'aws-lambda';
interface TypeParams {
    params?: object;
    body?: object;
    query?: object;
    user?: string;
}
interface IParams {
    auth?: boolean;
}
interface IEvent {
    event: APIGatewayEvent;
}
export declare const createLambdaWrap: (isOnline: boolean) => <Params extends TypeParams>(params: IParams | undefined, fn: (e: IEvent & Params) => any) => (event: import("aws-lambda").APIGatewayProxyEvent) => Promise<any>;
export {};
