interface Params {
    statusCode: number;
    body?: any;
    headers?: Required<{}>;
}
export interface Response {
    statusCode: number;
    body: any;
    headers: Required<{}>;
}
export declare const response: ({ statusCode, body, headers }: Params) => Response;
export declare const SUCCESS_200: (body: any) => {
    statusCode: number;
    body: any;
};
export declare const SUCCESS_NO_CONTENT_204: {
    statusCode: number;
};
export declare const BAD_REQUEST_400: (error: any) => {
    statusCode: number;
    body: any;
};
export declare const UNAUTHORIZED_401: {
    statusCode: number;
    body: string;
};
export declare const NOT_FOUND_404: {
    statusCode: number;
    body: string;
};
export {};
