import { DynamoDBRecord } from 'aws-lambda';
import { Records, Record } from './unmarshallRecords';
export declare type StreamFn = (r: Array<DynamoDBRecord>) => Promise<Array<any>>;
export declare const eventNameFilter: (eventName: string) => (r: DynamoDBRecord) => boolean;
export declare const resourceTypeFilter: (resourceType: string) => (r: DynamoDBRecord) => boolean;
export declare const streamMap: <Old, New>(mapFn: (r: Record<Old, New>) => Promise<any>) => (rs: Records<Old, New>) => Promise<Records<Old, New>>;
