import { DynamoDBRecord } from 'aws-lambda';
import { BaseResource } from '../types/Resource';
export declare type Records<OldResource, NewResource> = Array<Record<OldResource, NewResource>>;
export interface Record<OldResource, NewResource> {
    newRecord: NewResource;
    oldRecord: OldResource;
}
export declare const unmarshallRecords: <OldResource extends BaseResource | undefined, NewResource extends BaseResource | undefined>(records: Array<DynamoDBRecord>) => Records<OldResource, NewResource>;
