"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEmailHelper = exports.testSES = void 0;
exports.testSES = {
    putEvents: (_) => ({
        promise: () => 'success'
    })
};
exports.createEmailHelper = (params) => ({
    send: async ({ email, subject, message }) => params.ses
        .sendEmail({
        FromEmailAddress: params.from,
        Destination: {
            ToAddresses: [email]
        },
        Content: {
            Simple: {
                Subject: {
                    Charset: 'UTF-8',
                    Data: subject
                },
                Body: {
                    Html: {
                        Charset: 'UTF-8',
                        Data: message
                    },
                    Text: {
                        Charset: 'UTF-8',
                        Data: message
                    }
                }
            }
        }
    })
        .promise()
});
